curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/supervisor-actions' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"actions": [
{
"action": "monitor",
"call_sid": "CA1234567890abcdef1234567890abcdef",
"created_at": "2024-01-15T10:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": null,
"note": "Offer a 15% discount before transfer",
"reason": "Customer requested a human agent",
"stream_sid": "MZ1234567890abcdef1234567890abcdef",
"supervisor": "dashboard",
"target": "+15555551234",
"tenant_id": "tenant-123"
}
]
}
List Supervisor Actions
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
GET
/
api
/
v1
/
supervisor-actions
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/supervisor-actions' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"actions": [
{
"action": "monitor",
"call_sid": "CA1234567890abcdef1234567890abcdef",
"created_at": "2024-01-15T10:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": null,
"note": "Offer a 15% discount before transfer",
"reason": "Customer requested a human agent",
"stream_sid": "MZ1234567890abcdef1234567890abcdef",
"supervisor": "dashboard",
"target": "+15555551234",
"tenant_id": "tenant-123"
}
]
}
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
Query parameters
string
SupervisorActionType
integer (int64)
integer (int64)
Response
object
boolean
required
string
required
Tenant id the listing is scoped to
integer
required
Number of actions in this response
SupervisorActionLog[]
required
Status codes
| Code | Meaning |
|---|---|
200 | List durable supervisor actions |
401 | Unauthorized |
500 | Internal server error |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/supervisor-actions' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"actions": [
{
"action": "monitor",
"call_sid": "CA1234567890abcdef1234567890abcdef",
"created_at": "2024-01-15T10:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": null,
"note": "Offer a 15% discount before transfer",
"reason": "Customer requested a human agent",
"stream_sid": "MZ1234567890abcdef1234567890abcdef",
"supervisor": "dashboard",
"target": "+15555551234",
"tenant_id": "tenant-123"
}
]
}
Last modified on August 31, 2026